const types = require('./type-validators');

module.exports = {
  blocks: types.areBlocks,
  elements: types.areElementsOrStrings,
  blockId: types.isString,
  externalId: types.isString,
  label: types.isString,
  element: types.isElement,
  hint: types.isString,
  optional: types.isBool,
  fields: types.areStringsOrImages,
  accessory: types.isElement,
  actionId: types.isString,
  url: types.isString,
  style: types.isButtonStyleEnum,
  primary: types.isButtonStyleEnum,
  danger: types.isButtonStyleEnum,
  value: types.isString,
  option: types.isOption,
  confirm: types.isConfirmationDialogOrString,
  imageUrl: types.isString,
  altText: types.isString,
  options: types.areOptions,
  initialOptions: types.areOptions,
  initialOption: types.isOption,
  placeholder: types.isString,
  initialDate: types.isDate,
  initialValue: types.isString,
  multiline: types.isBool,
  minLength: types.isInt,
  maxLength: types.isInt,
  initialChannel: types.isString,
  initialChannels: types.areStrings,
  initialConversation: types.isString,
  initialConversations: types.areStrings,
  responseUrlEnabled: types.isBool,
  defaultToCurrentConversation: types.isBool,
  filter: types.areStrings,
  minQueryLength: types.isInt,
  optionGroups: types.areOptionGroups,
  initialUser: types.isString,
  initialUsers: types.areStrings,
  maxSelectedItems: types.isInt,
  title: types.isString,
  submit: types.isString,
  close: types.isString,
  deny: types.isString,
  excludeExternalSharedChannels: types.isBool,
  excludeBotUsers: types.isBool,
  text: types.isString,
  privateMetaData: types.isString,
  callbackId: types.isString,
  channel: types.isString,
  clearOnClose: types.isBool,
  notifyOnClose: types.isBool,
  description: types.isString,
  asUser: types.isBool,
  ts: types.isString,
  threadTs: types.isString,
  replaceOriginal: types.isBool,
  deleteOriginal: types.isBool,
  responseType: types.isResponseTypeEnum,
  postAt: types.isTimestamp,
  color: types.isString,
  fallback: types.isString,
  attachments: types.areAttachments,
  dispatchAction: types.isBool,
  onEnterPressed: types.isDispatchConfigEnum,
  onCharacterEntered: types.isDispatchConfigEnum,
  initialTime: types.isHhMmTime,
  mrkdwn: types.isBool,
  submitDisabled: types.isBool,
};
